/* aboutdialog.h  -- About class definition for NoComprendo */
/*
   Copyright (C) 2019-2020 Bruno ANSELME <be.root@free.fr>

   This file is part of the NoComprendo software.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License v3 for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef ABOUTDIALOG_H
#define ABOUTDIALOG_H

#include <QButtonGroup>
#include "ui_about.h"


class AboutDialog : public QDialog, private Ui::AboutDialog
{
    Q_OBJECT
public:
    AboutDialog(QString &lang, QWidget *parent = 0);            //!< Constructor
    ~AboutDialog();
private slots:
    void showHelp()             {   showPage("about"); }
    void showCredits()          {   showPage("credits"); }
    void showVocabulary()       {   showPage("vocabulary"); }
    void showCommands()         {   showPage("commands"); }
    void showUsage()            {   showPage("usage"); }
    void showSettings()         {   showPage("settings"); }
    void showLicense();
private:
    void showPage(QString page);
private:
    Ui::AboutDialog ui;
    QString         locale;
};

#endif // ABOUTDIALOG_H
