/* fileviewer.cpp  -- FileViewer class implementation for NoComprendo */
/*
   Copyright (C) 2019-2020 Bruno ANSELME <be.root@free.fr>

   This file is part of the NoComprendo software.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License v3 for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * @file      fileviewer.cpp
 * @author    Bruno ANSELME
 * @brief     FileViewer class definition
 * @details   Simple dialog to display file content or a text.
 */

#include "fileviewer.h"
#include "misc.h"

FileViewer::FileViewer(QString filename, QString title) : QDialog() {
    ui.setupUi(this);
    setTitle(title);
    ui.teView->setPlainText(readFile(filename));
}

FileViewer::FileViewer(QString txt) : QDialog() {
    ui.setupUi(this);
    ui.teView->setPlainText(txt);
}

void FileViewer::setTitle(QString title) {
    ui.lbTitle->setText(title);
}
