/* languagemodeler.h  -- LanguageModeler class definition for NoComprendo */
/*
   Copyright (C) 2019-2020 Bruno ANSELME <be.root@free.fr>

   This file is part of the NoComprendo software.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License v3 for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef LANGUAGEMODELER_H
#define LANGUAGEMODELER_H

#include <QDir>
#include "params.h"

class LanguageModeler
{
public:
    LanguageModeler(t_params *p);           //!< Constructor
    void        quickLM();                  //!< Build language model as quick_lm.pl did
    // Methods below stay here for archive. See lmtools/readme-tools.txt for more informations.
    //    void        runLMToolsV2();
    //    void        runPerlQuickLM();
private:
    t_params           *params;
};

#endif // LANGUAGEMODELER_H
