/* listener.h  -- Listener class definition for NoComprendo */
/*
   Copyright (C) 2019-2020 Bruno ANSELME <be.root@free.fr>

   This file is part of the NoComprendo software.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License v3 for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef LISTENER_H
#define LISTENER_H

#include <QObject>
#include <QThread>
#include "comprendo.h"

// Thread class running Comprendo's voice recognition
// Run and send a signal when an utterance is ready
class Listener : public QThread
{
    Q_OBJECT
public:
    Listener(Comprendo *w);                             //!< Constructor, needs a Comprendo object pointer to launch Comprendo::recognize_from_microphone
    void            run();                              //!< Launch listening thread
signals:
    void            resultReady(const QString &s);      //!< Sent when a new utterance is ready
private:
    Comprendo      *what;
};

#endif // LISTENER_H
