/* mouseblink.h  -- Mouse animation class definition for NoComprendo */
/*
   Copyright (C) 2020 Bruno ANSELME <be.root@free.fr>

   This file is part of the NoComprendo software.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License v3 for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef MOUSEBLINK_H
#define MOUSEBLINK_H

#include <QWidget>
#include <QTimerEvent>
#include "params.h"

class MouseBlink : public QWidget
{
    Q_OBJECT
public:
    explicit MouseBlink(t_params *p);               //!< Constructor
    void        start();                            //!< Start animation
protected:
    void        paintEvent(QPaintEvent *event);     //!< Locate mouse animation
    void        timerEvent(QTimerEvent *event);     //!< Trigger mouse animation
private:
    t_params   *params;
    int         counter;
    int         timerBlink;
};

#endif // MOUSEBLINK_H
