/* reminder.h  -- Reminder class definition for NoComprendo */
/*
   Copyright (C) 2019-2020 Bruno ANSELME <be.root@free.fr>

   This file is part of the NoComprendo software.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License v3 for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef REMINDER_H
#define REMINDER_H

#include <QDialog>
#include <QListWidget>
#include <comprendo.h>

class Reminder : public QDialog
{
    Q_OBJECT
public:
    Reminder(t_params *p, Comprendo *comp);                 //!< Contructor, show window filled with commands' utterances
protected:
    void            changeEvent(QEvent *event);             //!< Close window on activation change
    void            mousePressEvent(QMouseEvent *event);    //!< Close window on mouse pressed event
    void            keyPressEvent(QKeyEvent *);             //!< Close window on key pressed event
private:
    t_params       *params;
    Comprendo      *what;
};

#endif // REMINDER_H
