/* utterancebuilder.h  -- Utterance builder for NoComprendo */
/*
   Copyright (C) 2019-2020 Bruno ANSELME <be.root@free.fr>

   This file is part of the NoComprendo software.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License v3 for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef UTTCHOOSER_H
#define UTTCHOOSER_H

#include <QDialog>
#include "ui_utterancebuilder.h"
#include "params.h"

namespace Ui {
class UttBuilder;
}

class UtteranceBuilder : public QDialog
{
    Q_OBJECT
public:
    explicit    UtteranceBuilder(t_params *params, QString oldutt); //!< Constructor
    QString     utterance();                                        //!< Return current utterance
protected slots:
    void        updateUtterance();                                  //!< Update current utterance with selected items
private:
    Ui::UttBuilder *ui;
};

#endif // UTTCHOOSER_H
